<form [formGroup]="changeForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
        <mat-form-field>
            <input matInput formControlName="email" placeholder="Email">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['email']" *ngIf="changeForm.controls['email'].touched && !changeForm.controls['email'].valid">error_outline</mat-icon>
        </mat-form-field>
        <mat-form-field>
            <input type="password" matInput formControlName="oldPassword" placeholder="Old Password">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['oldPassword']" *ngIf="changeForm.controls['oldPassword'].touched && !changeForm.controls['oldPassword'].valid">error_outline</mat-icon>
        </mat-form-field>
        <mat-form-field>
            <input type="password" matInput formControlName="newPassword" placeholder="New Password">
            <mat-icon color="warn" class="form-warning-icon" [matTooltip]="errorTips['newPassword']" *ngIf="changeForm.controls['newPassword'].touched && !changeForm.controls['newPassword'].valid">error_outline</mat-icon>
        </mat-form-field>
    </div>

    <div class="form-button-row">
        <button mat-raised-button type="submit" color="primary" [disabled]="changeForm.pristine || !changeForm.valid">Submit</button>
        <!-- <button mat-raised-button type="reset" [disabled]="changeForm.pristine" (click)="revert()">Reset</button> -->
        <button mat-raised-button type="reset" (click)="cancel()">Cancel</button>
    </div>
</form>



<!-- 
<form class="form-signin" method="POST" action="#" role="form">
    <div class="form-group">
        <h2>Set new password</h2>
    </div>
    <div *ngIf="errorMessage!=null" class="alert alert-danger">
        {{ errorMessage }}
    </div>
    <div class="form-group">
        <label class="control-label" for="signupEmail">Username / Email</label>
        <input id="signupEmail" type="email" maxlength="50" class="form-control"
               [(ngModel)]="registrationUser.username" [ngModelOptions]="{standalone: true}">
    </div>
    <div class="form-group">
        <label class="control-label" for="existingPassword">Temporary Password</label>
        <input id="existingPassword" type="password" maxlength="25" class="form-control"
               placeholder="at least 8 characters" length="40" [(ngModel)]="registrationUser.existingPassword"
               [ngModelOptions]="{standalone: true}">
    </div>
    <div class="form-group">
        <label class="control-label" for="signupPassword">New Password</label>
        <input id="signupPassword" type="password" maxlength="25" class="form-control"
               placeholder="at least 8 characters" length="40" [(ngModel)]="registrationUser.password"
               [ngModelOptions]="{standalone: true}">
    </div>
    <div class="form-group">
        <button (click)="onRegister()" id="signupSubmit" type="submit" class="btn btn-info btn-block">
            Set your password
        </button>
    </div>
    <hr>
    <p>Already have an account? <a [routerLink]="['/home/login']"> <i class="fa fa-fw fa-lock"></i>Login</a></p>
</form> 
-->
